Package org.apache.lucene.sandbox.facet.labels

# Interface LabelToOrd

All Known Implementing Classes:
  `TaxonomyOrdLabelBiMap`

public interface LabelToOrd
Label to ord mapping interface.

TODO: move FacetLabel out of taxonomy folder to use it for any facets, not just taxonomy?

TODO: there is some overlap with `LabelToOrdinal`, can we reuse something?

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `INVALID_ORD`
  Ordinal to return if facet label doesn't exist in `getOrd(FacetLabel)` and `getOrds(FacetLabel[])`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getOrd(FacetLabel label)`
  get ord for one label
  `int[]`
  `getOrds(FacetLabel[] labels)`
  get ords for multiple labels

- ## Field Details

  - ### INVALID_ORD

    static final int INVALID_ORD
    Ordinal to return if facet label doesn't exist in `getOrd(FacetLabel)` and `getOrds(FacetLabel[])`
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getOrd

    int getOrd(FacetLabel label) throws IOException
    get ord for one label
    Throws:
      `IOException`

  - ### getOrds

    int[] getOrds(FacetLabel[] labels) throws IOException
    get ords for multiple labels
    Throws:
      `IOException`